查询Runner列表

返回当前工作区可读且内部生命周期为active的Runner数组,按创建时间倒序;不是按注册用户过滤。无分页参数,data不是items包装。列表不返回连接命令。

GET https://api.moi.matrixorigin.cn/v5/agent-runners

调用前准备

BASE_URL 使用产品 API 前缀 https://api.moi.matrixorigin.cn/v5;专有部署填写对应的产品 API 地址。

准备身份和标识。

请求

curl --request GET \
  "$BASE_URL/agent-runners" \
  --header "X-API-Key: $MOI_KEY" \
  --header "X-Workspace-ID: $WORKSPACE_ID"

参数

位置

类型

必填

说明

X-Workspace-ID

请求头

string

是

同环境目标工作区;路径中没有工作区段。

成功响应

{
  "code": "OK",
  "msg": "OK",
  "data": [
    {
      "id": "runner-example",
      "workspace_id": "workspace-example",
      "user_id": "user-example",
      "name": "示例Runner",
      "runner_type": "custom",
      "edge_agent_id": "runner-runner-example",
      "phase": "pending",
      "token_expires_at": "2026-12-12T01:00:00Z",
      "created_at": "2026-11-12T01:00:00Z",
      "updated_at": "2026-11-12T01:00:00Z"
    }
  ]
}

字段

类型

说明

code

string

成功为OK。

msg

string

响应信息,成功为OK。

data

array(对象数组)

返回对象与省略条件。

错误响应

错误与恢复边界区分Runner、Edge续期及计算观测;不共用同一数值错误表。

最后更新于